Bug 1129294 - "Connection information" does not disappear while uninstalling remote agent
Summary: "Connection information" does not disappear while uninstalling remote agent
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: UI
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ER03
: JON 3.3.0
Assignee: Michael Burman
QA Contact: Sunil Kondkar
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: JON3-30, PRODMGT-542
TreeView+ depends on / blocked
 
Reported: 2014-08-12 14:22 UTC by Jeeva Kandasamy
Modified: 2014-12-11 14:03 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-11 14:03:12 UTC


Attachments (Terms of Use)
uninstallation (80.64 KB, image/jpeg)
2014-08-12 14:22 UTC, Jeeva Kandasamy
no flags Details

Description Jeeva Kandasamy 2014-08-12 14:22:37 UTC
Created attachment 926078 [details]
uninstallation

Description of problem:
"Connection information" does not disappear while uninstalling remote agent

Version-Release number of selected component (if applicable):
JBoss Operations Network
Version : 3.3.0.DR01
Build Number : 6468454:dda0a47
GWT Version : 2.5.0
SmartGWT Version : 3.0p

How reproducible:
always

Steps to Reproduce:
1. Navigate to 'Administration->Topology->Agents->Select a Remote Agent->Delete'
2. Say 'Yes' for "Do you also want to uninstall the agent installation from the remote machine?"
3. Enter remote machine ssh username and password. Uninstalled successfully. However 'Connection Information' does not disappear.

Actual results:
Uninstalled successfully. However 'Connection Information' does not disappear. User has to close it manually.

Expected results:
After successful authentication/uninstall 'Connection Information' window should be disappear.

Additional info: Screen shot is attached.

Comment 1 Michael Burman 2014-09-02 22:21:00 UTC
I changed the behaviour of all commands, they all should disappear after successful execution.

Fixed in master:

commit f6f239a95e478f53c8793bc16a8a6e0c424893cd
Author: Michael Burman <miburman@redhat.com>
Date:   Mon Sep 1 22:09:22 2014 +0300

    [BZ 1129294] After successful command, hide the connection information window

Comment 2 Michael Burman 2014-09-02 22:40:10 UTC
Requires also the following fixup from master:

commit d8fcc24f0b852ca0a3630dd57e0fad57959e40d7
Author: Michael Burman <miburman@redhat.com>
Date:   Wed Sep 3 01:39:11 2014 +0300

    [BZ 1129294] Message for Start Agent had changed name

Comment 3 Michael Burman 2014-09-05 18:16:02 UTC
Also add from master:

commit 38ab3e5e1ab72e9962437b680bb7709737a82440
Author: Michael Burman <miburman@redhat.com>
Date:   Fri Sep 5 21:14:33 2014 +0300

    [BZ 1129294] [BZ 1128782] Change destroy() to markForDestroy() to avoid possible Global Uncaught exceptions..

Comment 4 Thomas Segismont 2014-09-10 15:47:24 UTC
Cherry-picked over to release/jon3.3.x

commit 752dd769fb0edbb7a06209c247d0db360a054e42
Author: Michael Burman <miburman@redhat.com>
Date:   Mon Sep 1 22:09:22 2014 +0300

    Bug 1129294 - "Connection information" does not disappear while uninstalling remote agent
    
    This is a combination of 3 commits.
    The first commit's message is:
    [BZ 1129294] After successful command, hide the connection information window
    
    (cherry picked from commit f6f239a95e478f53c8793bc16a8a6e0c424893cd)
    Signed-off-by: Thomas Segismont <tsegismo@redhat.com>
    
    Conflicts:
        modules/enterprise/gui/coregui/src/main/java/org/rhq/coregui/client/admin/topology/AgentTableView.java
    
    This is the 2nd commit message:
    
    [BZ 1129294] Message for Start Agent had changed name
    
    (cherry picked from commit d8fcc24f0b852ca0a3630dd57e0fad57959e40d7)
    Signed-off-by: Thomas Segismont <tsegismo@redhat.com>
    
    This is the 3rd commit message:
    
    [BZ 1129294] [BZ 1128782] Change destroy() to markForDestroy() to avoid possible Global Uncaught exceptions..
    
    (cherry picked from commit 38ab3e5e1ab72e9962437b680bb7709737a82440)
    Signed-off-by: Thomas Segismont <tsegismo@redhat.com>

Comment 5 Simeon Pinder 2014-09-17 02:49:17 UTC
Moving to ON_QA as available for test with the following brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=385149

Comment 6 Sunil Kondkar 2014-09-19 11:17:07 UTC
Verified on version : 3.3.0.ER03 build Number :4aefe39:44e33a4

The 'Connection Information' window disappears after successful agent uninstall.


Note You need to log in before you can comment on or make changes to this bug.